<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabaseConfig..::.SetForeignKeyConstraint Method (Database, ForeignKeyDeleteAction, ForeignKeyNullifyDelegate)
SecondaryDatabaseConfig Class See Also

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#

    public void SetForeignKeyConstraint(
    	Database ForeignDB,
    	ForeignKeyDeleteAction OnDelete,
    	ForeignKeyNullifyDelegate NullifyFunc
    )

Visual Basic (Declaration)

    Public Sub SetForeignKeyConstraint ( _
    	ForeignDB As Database, _
    	OnDelete As ForeignKeyDeleteAction, _
    	NullifyFunc As ForeignKeyNullifyDelegate _
    )

Visual C++

    public:
    void SetForeignKeyConstraint(
    	Database^ ForeignDB,
    	ForeignKeyDeleteAction OnDelete,
    	ForeignKeyNullifyDelegate^ NullifyFunc
    )

#### Parameters

ForeignDB
  Type: BerkeleyDB..::.Database

OnDelete
  Type: BerkeleyDB..::.ForeignKeyDeleteAction

NullifyFunc
  Type: BerkeleyDB..::.ForeignKeyNullifyDelegate

# See Also

SecondaryDatabaseConfig Class
SetForeignKeyConstraint Overload
BerkeleyDB Namespace